Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.amp.amf.sd.gen.builder
Class AbstractJavaSDTest

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              org.eclipse.amp.amf.sd.gen.builder.AbstractJavaSDTest

All Implemented Interfaces:
  junit.framework.Test

Direct Known Subclasses:
  GenNotOverrideTest, XPandCodeGenTest

    public abstract class AbstractJavaSDTest

extends junit.framework.TestCase

Constructor Summary
`protected` | `AbstractJavaSDTest(java.lang.String projectName)`

Method Summary
`protected void` | `checkNoCompilationErrors(java.lang.String resourceName)` Check for errors in compiler result.
`protected int` | `countGeneratedTags(java.lang.String fileName)`
`protected void` | `doGenerate(java.lang.String... expectedFiles)`
`protected boolean` | `emptyProjectDir(java.lang.String relativePath)` Remove all entries of a directory.
`protected java.lang.String` | `getFileText(java.lang.String relativePath)`

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, run, run, runBare, runTest, setName, setUp, tearDown, toString`

Methods inherited from class junit.framework.Assert
`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail, failNotEquals, failNotSame, failSame`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AbstractJavaSDTest

    protected AbstractJavaSDTest(java.lang.String projectName)
                          throws java.lang.Exception

Throws:
  `java.lang.Exception`

Method Detail

### countGeneratedTags

    protected int countGeneratedTags(java.lang.String fileName)
                              throws java.io.IOException

  Parameters:
    `fileName` -
  Returns:
    number of "@generated" tags in the file
  Throws:
    `java.io.IOException`

### checkNoCompilationErrors

    protected void checkNoCompilationErrors(java.lang.String resourceName)
                                     throws org.eclipse.core.runtime.CoreException

  Check for errors in compiler result.

  Parameters:
    `resourceName` -
  Throws:
    `org.eclipse.core.runtime.CoreException`

### getFileText

    protected java.lang.String getFileText(java.lang.String relativePath)
                                    throws java.io.IOException

  Parameters:
    `fileName` -
  Returns:
    the contents of a text file as `String`
  Throws:
    `java.io.IOException`

### doGenerate

    protected void doGenerate(java.lang.String... expectedFiles)
                       throws java.lang.Exception

  Parameters:
    `expectedFiles` - files that are expected to be generated
  Throws:
    `java.lang.Exception`

### emptyProjectDir

    protected boolean emptyProjectDir(java.lang.String relativePath)

  Remove all entries of a directory. The directory itself will not be deleted.

  Parameters:
    `relativePath` -
  Returns:
    `true` if successful

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD